Update integration
curl --request PATCH \
--url https://api.contracting.kukkingu.software/api/v1/integrations/{integrationId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'tenant-id: <tenant-id>' \
--data '
{
"name": "<string>",
"config": {
"folderId": "<string>"
},
"subscriptions": [
{
"clientId": "clnt_z2b3mo8qa5kzptgsu26q2wmh"
}
]
}
'import requests
url = "https://api.contracting.kukkingu.software/api/v1/integrations/{integrationId}"
payload = {
"name": "<string>",
"config": { "folderId": "<string>" },
"subscriptions": [{ "clientId": "clnt_z2b3mo8qa5kzptgsu26q2wmh" }]
}
headers = {
"tenant-id": "<tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'tenant-id': '<tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: '<string>',
config: {folderId: '<string>'},
subscriptions: [{clientId: 'clnt_z2b3mo8qa5kzptgsu26q2wmh'}]
})
};
fetch('https://api.contracting.kukkingu.software/api/v1/integrations/{integrationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "int_gyl2xn6wplkji4vyvh5k5nqt",
"provider": "google-drive",
"name": "<string>",
"status": "PENDING_AUTH",
"isAuthorized": true,
"config": {
"folderId": "<string>"
},
"subscriptions": [
{
"eventType": "invoice.created",
"id": "<string>",
"scopeKey": "<string>",
"clientId": "clnt_z2b3mo8qa5kzptgsu26q2wmh"
}
],
"createdAt": "2023-10-05T14:48:00.000Z",
"updatedAt": "2023-10-05T14:48:00.000Z"
}
}{
"error": "ValidationError",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>",
"constraint": "<string>"
}
]
}{
"error": "Unauthorized",
"message": "Unauthorized"
}{
"error": "Forbidden",
"message": "Forbidden"
}{
"error": "NotFound",
"message": "Not Found"
}Integrations
Update integration
PATCH
/
api
/
v1
/
integrations
/
{integrationId}
Update integration
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Specifies the tenant context for the request. All endpoints operate within this tenant scope.
Example:
"tnt_pfh0haxfpzowht3oi213cqos"
Path Parameters
Unique identifier of the integration.
Minimum string length:
1Example:
"int_gyl2xn6wplkji4vyvh5k5nqt"
Body
application/json
Request body used to partially update an integration.
Response
Default Response
Standard success response payload wrapped in a data property.
Integration resource returned by the API.
Show child attributes
Show child attributes